Bug 632097 - [abrt] fedpkg-0.5.1.4-1.fc13: __init__.py:193:_run_command:UnboundLocalError: local variable 'proc' referenced before assignment
Summary: [abrt] fedpkg-0.5.1.4-1.fc13: __init__.py:193:_run_command:UnboundLocalError:...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6440f3b3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-09 07:14 UTC by Pierre-YvesChibon
Modified: 2013-01-10 06:12 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-19 21:04:54 UTC


Attachments (Terms of Use)
File: backtrace (138.70 KB, text/plain)
2010-09-09 07:14 UTC, Pierre-YvesChibon
no flags Details

Description Pierre-YvesChibon 2010-09-09 07:14:51 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
comment: Trying to fpaste or redirect to a file the output of a build which crashes makes fedpkg crash.
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.33.8-149.fc13.x86_64
package: fedpkg-0.5.1.4-1.fc13
reason: __init__.py:193:_run_command:UnboundLocalError: local variable 'proc' referenced before assignment
release: Fedora release 13 (Goddard)
time: 1284016373
uid: 500

How to reproduce
-----
1.fedpkg clone maven-resources-plugin
2. update
3. fedpkg local |fpaste

Comment 1 Pierre-YvesChibon 2010-09-09 07:14:54 UTC
Created an attachment (id=446154)
File: backtrace

Comment 2 Jesse Keating 2010-09-13 22:42:21 UTC
This has been fixed upstream and will be in the next build of fedpkg.

Comment 3 Michal Hlavinka 2010-09-23 14:56:29 UTC
Package: fedpkg-0.5.1.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Happend when testing one of my new scripts. These are last lines from build process when this happened:
....
Wrote: /home/mhlavink/gitf/ecryptfs-utils/x86_64/ecryptfs-utils-devel-83-8.fc14.x86_64.rpm
Wrote: /home/mhlavink/gitf/ecryptfs-utils/x86_64/ecryptfs-utils-python-83-8.fc14.x86_64.rpm
Wrote: /home/mhlavink/gitf/ecryptfs-utils/x86_64/ecryptfs-utils-debuginfo-83-8.fc14.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.slUsdy
<CRASH>

Comment 4 Roman Rakus 2010-10-01 10:32:53 UTC
Package: fedpkg-0.5.1.4-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. fedpkg local | less
2.
3.


Comment
-----
Reproduced by `fedpkg local | less'
Tried to build locally system-config-kdump and look at the stdout in less.

Comment 5 Fedora Update System 2011-01-06 18:50:12 UTC
fedora-packager-0.5.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 6 Fedora Update System 2011-01-06 19:01:18 UTC
fedora-packager-0.5.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc13

Comment 7 Fedora Update System 2011-01-06 19:03:43 UTC
fedora-packager-0.5.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc14

Comment 8 Fedora Update System 2011-01-07 17:35:18 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 9 Fedora Update System 2011-01-19 21:04:05 UTC
fedora-packager-0.5.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-01-31 15:52:15 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-31 19:54:58 UTC
fedora-packager-0.5.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.